from odoo import models, fields, api, _
from odoo.exceptions import UserError,ValidationError

class ResUsersInherit(models.Model):
    _inherit = 'res.users'


    is_maintenance = fields.Boolean('Usuario Mantenimiento')
    maintenance_position = fields.Selection([
        ('suc_admin','Administrador de sucursal'),
        ('gun','GUN'),
        ('wh_admin','Jefe de Almacén'),
    ],'Puesto')


    @api.model
    def create(self,vals):
        res = super(ResUsersInherit, self).create(vals)
        user = res.no_create_user_maintenance()
        if user:
            return res
        raise ValidationError(_('Ya existe un usuario asignado a esa sucursal con el mismo puesto'))


    def write(self,vals):
        res = super(ResUsersInherit, self).write(vals)
        user = self.no_create_user_maintenance()
        if user:
            return res
        raise ValidationError(_('Ya existe un usuario asignado a esa sucursal con el mismo puesto'))


    def no_create_user_maintenance(self):
        if self.is_maintenance == True:
            users = self.search([('warehouse_id','=',self.warehouse.id),('is_maintenance','=',True),('maintenance_position','=',self.maintenance_position)])
            if len(users) == 0:
                return True
            else:
                return False
        return True
    