# -*- coding: utf-8 -*-

from odoo import fields, http, _
from odoo.http import request
from odoo.addons.portal.controllers.portal import CustomerPortal, pager as portal_pager
from odoo.tools import date_utils, groupby as groupbyelem
from odoo.osv.expression import AND
from dateutil.relativedelta import relativedelta
from operator import itemgetter
from collections import OrderedDict
from odoo.exceptions import AccessError, MissingError, UserError
from odoo.addons.portal.controllers.mail import _message_post_helper
from datetime import datetime, timedelta
import json
import base64
import werkzeug
import logging
_logger = logging.getLogger(__name__)
from odoo.addons.sh_all_in_one_helpdesk.controllers.portal import PortalHelpdesk


class PortalHelpdeskMorsa(PortalHelpdesk):

    def _prepare_home_portal_values(self):
        
        return {}

    @http.route('/my/ti',type='http',auth="user",website=True)
    def prepare_portal_ti(self,**kw):
        values = self._prepare_home_portal_values()
        return request.render("helpdesk_morsa.portal_my_ti",values)


    @http.route('/selected-partner-data',type="http",auth="public",csrf=False)
    def selected_partner_data(self, **kw):
        dic = {}
        if kw.get('partner_id') and kw.get('partner_id') != '':
            partner = request.env['res.partner'].sudo().search(
                [('id', '=', int(kw.get('partner_id')))], limit=1)
            if partner:
                dic.update({
                    'name': partner.name,
                    'email': partner.email,
                    'phone': partner.phone,
                })
            
        return json.dumps(dic)

    @http.route(['/unvaluated/tickets'],type='http',auth="none",website=True,csrf=False)
    def verify_unvaluated_tikets(self,**kw):
        
        partner_id = False
        if kw.get('partner_id') and kw.get('partner_id') != '':
            partner_id = request.env['res.partner'].sudo().search([('id','=',int(kw.get('partner_id')))],limit=1)
        elif kw.get('portal_email') and kw.get('portal_email') != '':
            partner_id = request.env['res.partner'].sudo().search([('email','=',kw.get('portal_email'))],limit=1)
        
        if partner_id:
            
            unvalued_tickets = len(
                request.env['helpdesk.ticket'].sudo().search([('partner_id','=',partner_id.id),
                    ('team_id','=',request.env.ref('helpdesk_morsa.techinnical_support').id),
                    ('stage_id','=',request.env.ref('sh_all_in_one_helpdesk.close_stage').id),
                    ('priority_new','=',False)])
                )
            if unvalued_tickets >= 3:
                
                return json.dumps({"resp":"Error","message":"Tienes demasiados tickets sin evaluar, favor de evaluarlos"})
            else:
               
                return json.dumps({"resp":"Success","message":""})
        else:
           
            return json.dumps({"resp":"Error","message":"Favor de agregar un contacto valido"})
    